<template>
  <div id="inspire">
    <v-dialog v-model="show" max-width="500px">
      <v-card>
        <v-card-title>
          <span class="headline">{{formTitle}}</span>
        </v-card-title>
        <v-card-text>
          <v-container>
            <form>
              <v-row>
                <v-col cols="12" sm="12" md="12">
                  <v-text-field
                    label="Name"
                    v-model="school.name"
                    required
                  ></v-text-field>
                </v-col>
                <v-col cols="12" sm="12" md="12">
                  <v-text-field
                    label="Address"
                    v-model="school.address"
                    required
                  ></v-text-field>
                </v-col>
                <v-col cols="12" sm="12" md="12">
                  <v-dialog
                    ref="dialog"
                    v-model="modal2"
                    :return-value.sync="school.time_study"
                    persistent
                    width="290px"
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <v-text-field
                        v-model="school.time_study"
                        label="Picker in dialog"
                        prepend-icon="mdi-clock-time-four-outline"
                        readonly
                        v-bind="attrs"
                        v-on="on"
                      ></v-text-field>
                    </template>
                    <v-time-picker
                      v-if="modal2"
                      v-model="school.time_study"
                      full-width
                      header-color="primary"
                    >
                      <v-spacer></v-spacer>
                      <v-btn text color="primary" @click="modal2 = false">
                        Cancel
                      </v-btn>
                      <v-btn
                        text
                        color="primary"
                        @click="$refs.dialog.save(school.time_study)"
                      >
                        OK
                      </v-btn>
                    </v-time-picker>
                  </v-dialog>
                </v-col>
              </v-row>
            </form>
          </v-container>
        </v-card-text>

        <v-card-actions>
          <v-spacer></v-spacer>
          <button class="btn btn-danger" @click="close()">
            Cancel
          </button>
          <button class="btn btn-primary" @click="save()">Save</button>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
import School from "../../../model/school";
export default {
  props: {
    visible: {
      type: Boolean,
      default: false,
    },
    formTitle : {
      type : String,
      default: "New School"
    }
 
  },
  data() {
    return {
      school : School,
      typeAction :-1,
      menu2: false,
      modal2: false,
    };
  },
  methods: {
    save() {
       this.$emit("addSchool",this.school);
    },
    close(){
       this.$emit("close");
    }
  },
  computed: {
    show: {
      get() {
        return this.visible;
      },
      set(value) {
        if (!value) {
          this.$emit("close");
        }
      },
    },

  },
};
</script>

<style lang="scss" scoped>
</style>